Subject: MEGACHEL, DOES IT WORK?????

From: [email-masked] (Ray K. )
Date: 15 Sep 1995 12:33:14 GMT

Has anyone reading this used, or are using, MEGACHEL from NATURE'S
SUNSHINE? It is supposed to be the "miracle aid" for people with heart
problems. If you have any experience, good or bad, with this product
please Email me at:
                            [email-masked]

                                                    Thank you.